﻿Public Interface ILifeObserver(Of TSubject)

    Sub OnCreating(ByVal owner As EventBinding)
    Sub OnCreated(ByVal owner As EventBinding, ByVal subject As TSubject)

    Sub OnDisposing(ByVal owner As EventBinding, ByVal subject As TSubject)
    Sub OnDisposed(ByVal owner As EventBinding)

End Interface
