﻿Public Interface IEventHandlerProvider

    Function GetEventHandlerSources() As IEnumerable
    Function GetEventHandlerIDs(ByVal eventHandlerSource As Object) As IEnumerable

    Function CanResolveHandler(ByVal eventHandlerID As Object, ByVal eventHandlerSource As Object) As Boolean
    Function ResolveHandler(ByVal eventHandlerID As Object, ByVal eventHandlerSource As Object) As Object
    Function ResolveHandlerType(ByVal eventHandlerID As Object, ByVal eventHandlerSource As Object) As Type

End Interface
