﻿Public Interface IEventBindingServiceProvider
    Inherits IServiceProvider

    Function GetBindingSources() As IEventBindingSource()
    Function GetEventHandlerProviders() As IEventHandlerProvider()
    Function GetMediatorFactories() As IEventMediatorFactory()

    ReadOnly Property BindingSources() As IList(Of IEventBindingSource)
    ReadOnly Property HandlerProviders() As IList(Of IEventHandlerProvider)
    ReadOnly Property MediatorFactories() As IList(Of IEventMediatorFactory)
    ReadOnly Property DiscoryService As IEventBindingDiscoveryService

    Sub RetrieveServicesFromHostView()

End Interface
